// ===========================================================================
// CONTENT  : INTERFACE IExplorableElement
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 07/01/2007
// HISTORY  :
//  07/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Common interface for all model objects that can be used for dependency
 * exploration. 
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface IExplorableElement extends IExplorationModelObject, IExplorableElementVisiting
{ 
	/**
	 * Returns the exploration context the element belongs to 
	 */
	public IExplorationContext getContext() ;
	
	// -------------------------------------------------------------------------
	
} // interface IExplorableElement