// ===========================================================================
// CONTENT  : INTERFACE IExplorationModelObject
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 09/03/2007
// HISTORY  :
//  09/03/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * This is the base interface of all objects that comprise the exploration model.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface IExplorationModelObject extends IObjectProperties
{ 
	/**
	 * Returns the identifying name of the model object
	 */
	public String getName() ; 

	// -------------------------------------------------------------------------
	  
} // interface IExplorationModelObject